Analytics
Workspace overview
GET
/analytics/overviewNeedsanalytics.viewTotals, the previous period, a daily series, top content, install status and goal completions.
Authorization
secretKeyheader
AuthorizationBearer <sk_…>A secret API key from Settings → API keys. It acts with its creator's role.
Query Parameters
days?integerTime window in days.
Default
30Value in
73090Response Body
OK
application/json- response
range*totals*previous*The same-length period just before, for comparison.
series*array<>top*array<>install*goals*Shell
curl -X GET 'https://app.cueston.com/api/analytics/overview'Example Response
JSON
{
"range": {
"from": "2026-10-26T09:30:00Z",
"to": "2026-10-26T09:30:00Z"
},
"totals": {
"impressions": 1840,
"uniqueVisitors": 960,
"completions": 412,
"ctaClicks": 133,
"dismissals": 210,
"targetMissing": 3
},
"previous": {
"range": {
"from": "2026-10-26T09:30:00Z",
"to": "2026-10-26T09:30:00Z"
},
"totals": {
"impressions": 1840,
"uniqueVisitors": 960,
"completions": 412,
"ctaClicks": 133,
"dismissals": 210,
"targetMissing": 3
},
"goals": {
"total": 3
}
},
"series": [
{
"day": "2026-10-26",
"impressions": 1840,
"completions": 412
}
],
"top": [
{
"contentType": "tour",
"contentId": 42,
"name": "Onboarding tour",
"impressions": 1840,
"completions": 412,
"completionRate": 0.42
}
],
"install": {
"lastSeenAt": "2026-10-26T09:30:00Z",
"lastSeenOrigin": "string"
},
"goals": {
"total": 3,
"byContent": [
{
"contentType": "tour",
"contentId": 42,
"completions": 412
}
]
}
}